/*
 * 	glacier_runtime.h - Runtime function declarations for libglacier
 *
 * 	This file is part of Glacier.
 *
 * 	Glacier is free software: you can redistribute it and/or modify it under the terms of the
 * 	GNU General Public License as published by the Free Software Foundation, either
 * 	version 3 of the License, or (at your option) any later version.
 *
 * 	Glacier is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * 	without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
 * 	PARTICULAR PURPOSE. See the GNU General Public License for more details.
 *
 * 	You should have received a copy of the GNU General Public License along with Glacier. If
 * 	not, see <https://www.gnu.org/licenses/>.
 */

#ifndef GLACIERRUNTIME_H_
#define GLACIERRUNTIME_H_

/*
 * runtime_exists
 *
 * DESCRIPTION: runtime_exists checks if all necessary runtime files exist.
 * PARAMETERS:
 * 		None.
 * RETURN VALUES:
 * 		None.
 * CAVEATS:
 * 		None.
 * EXAMPLE:
 * 		runtime_exists();
 */

void runtime_exists();

/*
 * is_process_root
 *
 * DESCRIPTION: is_process_root checks if the process is running with root privileges.
 * PARAMETERS:
 * 		None.
 * RETURN VALUES:
 * 		0 on root, 1 on non-root
 * CAVEATS:
 * 		None.
 * EXAMPLE:
 * 		is_process_root();
 */

int is_process_root();

#endif
